> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List data migration runs



## OpenAPI

````yaml get /api/migration/data-migration/runs
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/migration/data-migration/runs:
    get:
      tags:
        - Data Migration
      summary: List data migration runs
      operationId: list_runs_api_migration_data_migration_runs_get
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/MigrationRunStatusEnum'
              - type: 'null'
            title: Status
        - name: migration_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/MigrationTypeEnum'
              - type: 'null'
            title: Migration Type
        - name: source_format
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SourceFormatEnum'
              - type: 'null'
            title: Source Format
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DataMigrationRunDetailResponse'
                title: Response List Runs Api Migration Data Migration Runs Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    MigrationRunStatusEnum:
      type: string
      enum:
        - NEW
        - RUNNING
        - COMPLETED
        - FAILED
      title: MigrationRunStatusEnum
    MigrationTypeEnum:
      type: string
      enum:
        - file_only
        - data_hive_to_hive
        - data_hive_to_iceberg
        - metadata_hive_to_iceberg
      title: MigrationTypeEnum
    SourceFormatEnum:
      type: string
      enum:
        - mapr
        - hdfs
        - s3
      title: SourceFormatEnum
    DataMigrationRunDetailResponse:
      properties:
        run_id:
          type: string
          format: uuid
          title: Run Id
        status:
          type: string
          title: Status
        status_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Message
        feature_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Feature Type
        migration_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Migration Type
        source_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Format
        dag_run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dag Run Id
        dag_run_ids:
          items:
            type: string
          type: array
          title: Dag Run Ids
        config_s3_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Config S3 Path
        report_output_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Output Location
        tracking_database:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Database
        owner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        airflow_dag_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Airflow Dag Url
        tables_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tables Count
      type: object
      required:
        - run_id
        - status
        - created_at
      title: DataMigrationRunDetailResponse
      description: Full run detail response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````